/**********************************************************************
 *
 * querytools.h -- 
 * Copyright (C) 1999  The New Zealand Digital Library Project
 *
 * A component of the Greenstone digital library software
 * from the New Zealand Digital Library Project at the
 * University of Waikato, New Zealand.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Id: querytools.h 533 1999-09-07 04:57:01Z sjboddie $
 *
 *********************************************************************/


#ifndef QUERYTOOLS_H
#define QUERYTOOLS_H

#include "cgiargs.h"
#include "recptproto.h"

bool do_query (FilterRequest_t &request, cgiargsclass &args, 
	       recptproto *collectproto, FilterResponse_t &response, 
	       ostream &logout);
void format_querystring (text_t &querystring, int querymode);
void get_phrases (const text_t &querystring, text_tarray &phrases);

#endif
